#!/bin/sh

# chroot helper

if [ $# -ne 2 ]; then
	echo "Usage: $0 /path/to/bin /path/to/chroot"
	exit 1
fi

PROG=$1
CHROOT=$2

if [ ! -d $CHROOT ]; then
	echo "$CHROOT: not a directory"
	exit 1
fi

touch $CHROOT/.remove_me 2>/dev/null

if [ $? -gt 0 ]; then
	echo "Can't create file into $CHROOT"
	exit 1
fi

rm -f $CHROOT/.remove_me

if [ ! -x $PROG ]; then
	echo "$PROG don't exist. May be you forgot 'make' ?"
	exit 1
fi

FILES=`ldd -a -f '%p\n' $PROG | grep -v ':$' | sort -u`
FILES="/libexec/ld-elf.so.1
$FILES
$PROG
"
tar czf - $FILES | tar xzf - -C $CHROOT/
